import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusOrder } from '../models/index';
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
interface BusOrderCU extends ConditionUtil<BusOrderCU> {
    ORDER_NO: FieldUtil<BusOrderCU>;
    APP_ID: FieldUtil<BusOrderCU>;
    USER_ID: FieldUtil<BusOrderCU>;
    OPEN_ID: FieldUtil<BusOrderCU>;
    ENTER_APP_ID: FieldUtil<BusOrderCU>;
    ENTER_OPEN_ID: FieldUtil<BusOrderCU>;
    MCH_ID: FieldUtil<BusOrderCU>;
    SUB_MCH_ID: FieldUtil<BusOrderCU>;
    TRANSACTION_ID: FieldUtil<BusOrderCU>;
    ORDER_CATEGORY: FieldUtil<BusOrderCU>;
    PAYMENT_METHOD: FieldUtil<BusOrderCU>;
    BANK_TYPE: FieldUtil<BusOrderCU>;
    ORIGIN: FieldUtil<BusOrderCU>;
    LOT_ORDER_ID: FieldUtil<BusOrderCU>;
    LOT_ID: FieldUtil<BusOrderCU>;
    CAR_PLATE_NUM: FieldUtil<BusOrderCU>;
    ACTIVITY_ID: FieldUtil<BusOrderCU>;
    COUPON_INFO_ID: FieldUtil<BusOrderCU>;
    PARKING_TOTAL_FEE: FieldUtil<BusOrderCU>;
    TOTAL_FEE: FieldUtil<BusOrderCU>;
    COUPON_SUBJECT: FieldUtil<BusOrderCU>;
    COUPON_FEE: FieldUtil<BusOrderCU>;
    CASH_FEE: FieldUtil<BusOrderCU>;
    COME_TIME: FieldUtil<BusOrderCU>;
    CAR_IMAGE: FieldUtil<BusOrderCU>;
    OUT_TIME: FieldUtil<BusOrderCU>;
    PARKING_TIME: FieldUtil<BusOrderCU>;
    PAY_TIME: FieldUtil<BusOrderCU>;
    LEAVE_TIME: FieldUtil<BusOrderCU>;
    PREPAY_ID: FieldUtil<BusOrderCU>;
    ATTACH: FieldUtil<BusOrderCU>;
    REMARK: FieldUtil<BusOrderCU>;
    IS_DELETED: FieldUtil<BusOrderCU>;
    SEND_TYPE: FieldUtil<BusOrderCU>;
    TRADE_STATE: FieldUtil<BusOrderCU>;
    REFUND_STATE: FieldUtil<BusOrderCU>;
    SEND_STATE: FieldUtil<BusOrderCU>;
    REGION_ID: FieldUtil<BusOrderCU>;
    CREATE_TIME: FieldUtil<BusOrderCU>;
    UPDATE_TIME: FieldUtil<BusOrderCU>;
}
declare class BusOrderMU extends TableUtilImpl<BusOrderCU, BusOrder> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusOrderCU;
    static get ORDER_NO(): FieldUtil<BusOrderCU>;
    static get APP_ID(): FieldUtil<BusOrderCU>;
    static get USER_ID(): FieldUtil<BusOrderCU>;
    static get OPEN_ID(): FieldUtil<BusOrderCU>;
    static get ENTER_APP_ID(): FieldUtil<BusOrderCU>;
    static get ENTER_OPEN_ID(): FieldUtil<BusOrderCU>;
    static get MCH_ID(): FieldUtil<BusOrderCU>;
    static get SUB_MCH_ID(): FieldUtil<BusOrderCU>;
    static get TRANSACTION_ID(): FieldUtil<BusOrderCU>;
    static get ORDER_CATEGORY(): FieldUtil<BusOrderCU>;
    static get PAYMENT_METHOD(): FieldUtil<BusOrderCU>;
    static get BANK_TYPE(): FieldUtil<BusOrderCU>;
    static get ORIGIN(): FieldUtil<BusOrderCU>;
    static get LOT_ORDER_ID(): FieldUtil<BusOrderCU>;
    static get LOT_ID(): FieldUtil<BusOrderCU>;
    static get CAR_PLATE_NUM(): FieldUtil<BusOrderCU>;
    static get ACTIVITY_ID(): FieldUtil<BusOrderCU>;
    static get COUPON_INFO_ID(): FieldUtil<BusOrderCU>;
    static get PARKING_TOTAL_FEE(): FieldUtil<BusOrderCU>;
    static get TOTAL_FEE(): FieldUtil<BusOrderCU>;
    static get COUPON_SUBJECT(): FieldUtil<BusOrderCU>;
    static get COUPON_FEE(): FieldUtil<BusOrderCU>;
    static get CASH_FEE(): FieldUtil<BusOrderCU>;
    static get COME_TIME(): FieldUtil<BusOrderCU>;
    static get CAR_IMAGE(): FieldUtil<BusOrderCU>;
    static get OUT_TIME(): FieldUtil<BusOrderCU>;
    static get PARKING_TIME(): FieldUtil<BusOrderCU>;
    static get PAY_TIME(): FieldUtil<BusOrderCU>;
    static get LEAVE_TIME(): FieldUtil<BusOrderCU>;
    static get PREPAY_ID(): FieldUtil<BusOrderCU>;
    static get ATTACH(): FieldUtil<BusOrderCU>;
    static get REMARK(): FieldUtil<BusOrderCU>;
    static get IS_DELETED(): FieldUtil<BusOrderCU>;
    static get SEND_TYPE(): FieldUtil<BusOrderCU>;
    static get TRADE_STATE(): FieldUtil<BusOrderCU>;
    static get REFUND_STATE(): FieldUtil<BusOrderCU>;
    static get SEND_STATE(): FieldUtil<BusOrderCU>;
    static get REGION_ID(): FieldUtil<BusOrderCU>;
    static get CREATE_TIME(): FieldUtil<BusOrderCU>;
    static get UPDATE_TIME(): FieldUtil<BusOrderCU>;
    get ORDER_NO(): FieldUtil<BusOrderCU>;
    get APP_ID(): FieldUtil<BusOrderCU>;
    get USER_ID(): FieldUtil<BusOrderCU>;
    get OPEN_ID(): FieldUtil<BusOrderCU>;
    get ENTER_APP_ID(): FieldUtil<BusOrderCU>;
    get ENTER_OPEN_ID(): FieldUtil<BusOrderCU>;
    get MCH_ID(): FieldUtil<BusOrderCU>;
    get SUB_MCH_ID(): FieldUtil<BusOrderCU>;
    get TRANSACTION_ID(): FieldUtil<BusOrderCU>;
    get ORDER_CATEGORY(): FieldUtil<BusOrderCU>;
    get PAYMENT_METHOD(): FieldUtil<BusOrderCU>;
    get BANK_TYPE(): FieldUtil<BusOrderCU>;
    get ORIGIN(): FieldUtil<BusOrderCU>;
    get LOT_ORDER_ID(): FieldUtil<BusOrderCU>;
    get LOT_ID(): FieldUtil<BusOrderCU>;
    get CAR_PLATE_NUM(): FieldUtil<BusOrderCU>;
    get ACTIVITY_ID(): FieldUtil<BusOrderCU>;
    get COUPON_INFO_ID(): FieldUtil<BusOrderCU>;
    get PARKING_TOTAL_FEE(): FieldUtil<BusOrderCU>;
    get TOTAL_FEE(): FieldUtil<BusOrderCU>;
    get COUPON_SUBJECT(): FieldUtil<BusOrderCU>;
    get COUPON_FEE(): FieldUtil<BusOrderCU>;
    get CASH_FEE(): FieldUtil<BusOrderCU>;
    get COME_TIME(): FieldUtil<BusOrderCU>;
    get CAR_IMAGE(): FieldUtil<BusOrderCU>;
    get OUT_TIME(): FieldUtil<BusOrderCU>;
    get PARKING_TIME(): FieldUtil<BusOrderCU>;
    get PAY_TIME(): FieldUtil<BusOrderCU>;
    get LEAVE_TIME(): FieldUtil<BusOrderCU>;
    get PREPAY_ID(): FieldUtil<BusOrderCU>;
    get ATTACH(): FieldUtil<BusOrderCU>;
    get REMARK(): FieldUtil<BusOrderCU>;
    get IS_DELETED(): FieldUtil<BusOrderCU>;
    get SEND_TYPE(): FieldUtil<BusOrderCU>;
    get TRADE_STATE(): FieldUtil<BusOrderCU>;
    get REFUND_STATE(): FieldUtil<BusOrderCU>;
    get SEND_STATE(): FieldUtil<BusOrderCU>;
    get REGION_ID(): FieldUtil<BusOrderCU>;
    get CREATE_TIME(): FieldUtil<BusOrderCU>;
    get UPDATE_TIME(): FieldUtil<BusOrderCU>;
}
export { BusOrderMU, BusOrderCU };
